schema {
    query: Query
    subscription : Subscription
}

type ChangeStreamMetadata {
    resumeToken: String
    namespaceDocument: NamespaceDocument
    operationType: String
    clusterTime: String
    txnNumber: String
}

type Query {
    hello: String
}

type Subscription {
    application: Application
    category: ApplicationCategory
}

type Application {
    _id: String
    name: String
    applicationCategories: [ApplicationCategory]
    changeStreamMetadata: ChangeStreamMetadata
    owner: ApplicationOwner
}

type ApplicationOwner {
    name: String
}

type ApplicationCategory {
    _id: String
    name: String
    applications: [Application]
    changeStreamMetadata: ChangeStreamMetadata
}

type NamespaceDocument {
    _db: String
    _col: String
}